using ProtoBuf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace tiktokdemo.Probuf
{
    [ProtoContract]
    public class dyn_taskinfo1
    {
        [ProtoMember(1)]

        public int id1 { get; set; }

        [ProtoMember(2)]

        public string id2 { get; set; }


        [ProtoMember(3)]

        public int id3 { get; set; }

        [ProtoMember(4)]

        public long id4 { get; set; }

        [ProtoMember(5)]

        public int id5 { get; set; }


        [ProtoMember(6)]

        public string id6 { get; set; }

        [ProtoMember(8)]

        public int id8 { get; set; }



    }

    [ProtoContract]
    public class dyn_taskinfo2
    {
        [ProtoMember(1)]

        public int id1 { get; set; }

        [ProtoMember(2)]

        public int id2 { get; set; }

        [ProtoMember(3)]

        public string id3 { get; set; }

        [ProtoMember(4)]

        public string id4 { get; set; }


        [ProtoMember(5)]

        public int id5 { get; set; }


    }
    [ProtoContract]
    public class dyn_taskResp
    {
        [ProtoMember(1)]

        public List<dyn_taskinfo1> id1 { get; set; }

        [ProtoMember(2)]

        public List<dyn_taskinfo2> id2 { get; set; }

    }
}
